CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
CommandMessenger.EventWaiter Class Reference

List of all members.

## Public Types
enum | WaitState { Quit, TimeOut, Normal }
## Public Member Functions
| EventWaiter (bool block)
WaitState | Wait (int timeOut)
void | Set ()
void | Reset ()
void | Quit ()

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/EventWaiter.cs